Bug 9663 - Individual bibliographic record "Save" option requires export permission
Summary: Individual bibliographic record "Save" option requires export permission
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks: 9665
  Show dependency treegraph
 
Reported: 2013-02-19 17:05 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9663 - Individual bibliographic record "Save" option requires export permission (2.10 KB, patch)
2013-02-19 17:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9663 - Individual bibliographic record "Save" option requires export permission (2.11 KB, patch)
2013-02-25 09:16 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9663 - Individual bibliographic record "Save" option requires export permission (2.17 KB, patch)
2013-02-28 09:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-02-19 17:05:41 UTC
If you are viewing a bibliographic record in the staff client (detail.pl, MARCdetail.pl, etc) and want to use the "Save" option to download the record in specific format (MODS, MARCXML, MARC etc.) the operation requires "export_catalog" permission. Since this operation is identical to one which OPAC users can perform without any privileges this must be incorrect. I believe the "export_catalog" permission only applies to tools/export.pl
Comment 1 Owen Leonard 2013-02-19 17:19:35 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-02-25 09:12:18 UTC
Comment on attachment 15555 [details] [review]
Bug 9663 - Individual bibliographic record "Save" option requires export permission

Review of attachment 15555 [details] [review]:
-----------------------------------------------------------------

Correcting indentation is fine, the -w switch lets us ignore whitespace changes (for git diff and git blame etc)
Comment 3 Chris Cormack 2013-02-25 09:16:04 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-02-28 09:44:54 UTC
QA comment:

Since this export script is only accessible from the catalogue/detail.pl page (which has the catalogue permission), I see no reason not to accept this patch.

Marked as Passed QA.
Comment 5 Jonathan Druart 2013-02-28 09:45:44 UTC
Created attachment 15756 [details] [review]
Bug 9663 - Individual bibliographic record "Save" option requires export permission

This patch corrects permission on the export option available on
catalogue pages in the staff client (detail.pl, MARCdetail.pl, etc) so
that users no longer require "export_catalogue" permission.
"export_catalogue" permission is required only for tools/export.pl.

This patch also corrects some crazy nearby indentation. Sorry, couldn't
resist.

To test, visit a page like detail.pl with and without "export_catalogue"
permission. It should be possible to save the record as MODS, MARCXML,
MARC, etc. without error.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jared Camins-Esakov 2013-03-01 00:08:19 UTC
This patch has been pushed to master.
Comment 7 Chris Cormack 2013-03-11 09:01:34 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.4 and 3.8.11